%define version	1.2.0
%define release	%mkrel 1

%define scim_version	1.4.4
%define anthy_version	6606

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-anthy
Summary:	Scim-anthy is an SCIM IMEngine module for anthy
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		%{libname} = %{version}
Requires:		anthy >= %{anthy_version}
Requires:		scim >= %{scim_version}
Requires:		kasumi
BuildRequires:		anthy-devel >= %{anthy_version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		automake1.8, libltdl-devel

%description
Scim-anthy is an SCIM IMEngine module for anthy.
It supports Japanese input.


%package -n %{libname}
Summary:	Scim-anthy library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-anthy library.


%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ ! -x configure ]] && ./bootstrap
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.{a,la}
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
%{_datadir}/scim/Anthy/style/*.sty


%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so
%{_libdir}/scim-1.0/SetupUI/*.so
%{_libdir}/scim-1.0/*/Helper/*.so



%changelog
* Mon Jul 31 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-1mdv2007.0
- new release

* Thu Mar 30 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Sun Jan 29 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdk
- new release
- remove patch0 (merged upstream)

* Sat Jan 21 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.0-2mdk
- add patch0

* Thu Dec 01 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.8.0-1mdk
- new release

* Wed Oct 26 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7.1-1mdk
- new release
- add kasumi to requires
- (Ashie-san [the author of scim-anthy] asked for it)
- remove patch0 (merged upstream)

* Thu Oct 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.7.0-1mdk
- new release
- patch 0: fix crash

* Mon Aug 15 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.6.1-1mdk
- new release

* Mon Aug 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-1mdk
- new release

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.5.3-1mdk
- new release

* Tue Jul 19 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-4mdk
- Rebuild for new scim

* Mon Jun 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-3-1mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-2mdk 
- Rebuild for new anthy

* Thu Jun 09 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-1mdk
- 0.4.3 
	- Fix for gcc-4.0. Thanks UTUMI-san
	- Fix a bug that selecting first & last 
	        candidate feature doesn't work Thanks BANDO-san

* Mon May 30 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.2-1mdk
- 0.4.2

* Mon May 09 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.2-1mdk
- new release

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-3.20050217.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.1-3.20050217.1mdk
- latest snapshot
- rebuild with scim-1.1.3
- more cleanup

* Wed Feb 02 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-2mdk
- clean spec (abel)

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-1mdk
- new release

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-1mdk
- new release
- fix build with new automake
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o remove unneeded files (%{_libdir}/scim-1.0/*/*.{a,la})
  o add "define scim_version"

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-3.cvs20041224.2mdk
- latest snapshot
- fix BuildRequires
- rebuild with scim-1.0.2

* Mon Nov 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-2mdk
- new release

* Mon Nov 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- initial release
